import dynamix_sdk.base as _base


class CloudapiComputeNetDetachResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeNetDetachProtocol(_base.BasePostAPIFunctionProtocol):
    def net_detach(
        self,
        *,
        vm_id: int,
        ip_addr: None | str = None,
        mac: None | str = None,
    ) -> CloudapiComputeNetDetachResultBool:
        ...
